Bug 100564 - error: %post(fontconfig-2.1-9) scriptlet failed, exit status 127
error: %post(fontconfig-2.1-9) scriptlet failed, exit status 127
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: fontconfig (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
David Lawrence
: 101329 119392 133824 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-07-23 09:42 EDT by Jay Turner
Modified: 2015-01-07 19:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-05 11:14:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2003-07-23 09:42:16 EDT
Description of problem:
Getting this error in install.log after installation on ia64 (Itanium2) system:

Installing fontconfig-2.1-9.i386.
error: %post(fontconfig-2.1-9) scriptlet failed, exit status 127

So, appears to be an issue with the compat stuff.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Owen Taylor 2003-07-23 10:00:25 EDT
Why are we trying to install the i386 fontconfig on itanium? Are there
any docs around about whatever this is, since I don't have a clue
of where to start here.

Even assumming the correct separate library directories, and 
execution environmenmt, installing the i386 fontconfig along with 
the ia64 fontconfig is broken to begin with, since the fontconfig package
contains both:


And there is no reason to have two copies of the utilities on the system;
the stuff that the post script is doing really should be done when
the native package is installed, and not done again for the i386

But as I said above, I really need orientation as to what is going
on here.

Comment 2 Jay Turner 2003-07-23 10:12:37 EDT
Owen, trying to determine that right now . . . one of the partners is requiring
that we ship 32-bit compat packages on the ia64.  Normally I wouldn't expect
fontconfig to be included in this listing, but it might be getting pulled in by
dependencies . . . more information to come.
Comment 3 Owen Taylor 2003-07-23 10:43:23 EDT
fontconfig is a dependency of the X libraries, so it's pretty
low on the dependency chain; so if we are shipping compat libraries,
it's not that surprising we are shipping it.

Still, I'd need some documentation about how the ia32
compat system on ia64 works before I could think about tackling
this bug.
Comment 4 Jay Turner 2003-07-23 12:24:03 EDT
Further investigation shows that it's OpenOffice which is pulling in fontconfig
. .. I'll have to defer on the ia32 compat documentation though; pretty blackbox
to me.
Comment 5 Owen Taylor 2003-07-23 12:53:34 EDT
Discussed this some with Bill, and basically the conclusion
that this is very screwy and hard to fix.

The problem is that ia32 fontconfig is getting installed
before ia64 fontconfig, so the 64-bit shell that is running
the %post doesn't find fontconfig (/emu/usr/bin/fontconfig is
there, /usr/bin/fontconfig isn't.)

That could possibly be fixed by adding /emu/usr/bin/
to /etc/bashrc, the question is, would running the 32-bit
fontconfig produce the right output? If it sees
the contents of /emu/usr/share/fonts, it won't.

OpenOffice apparently doesn't work at the moment, so it isn't
particularly urgent.
Comment 6 Bill Nottingham 2003-07-30 17:47:19 EDT
*** Bug 101329 has been marked as a duplicate of this bug. ***
Comment 7 Tim Chambers 2003-09-03 11:38:19 EDT
detected today on Orca
Comment 8 Tim Chambers 2003-09-03 11:41:53 EDT
detected today on Orca/Madison (CD install everything) -- note different RPM
error: %post(glibc-2.3.2-74) scriptlet failed, exit status 255
Comment 9 Owen Taylor 2003-09-03 11:49:22 EDT
An error about '%post(glibc-2.3.2-74) scriptlet failed, exit status 255'
is something different -- note 'glibc' not 'fontconfig', and should
be filed separately.
Comment 10 Tim Chambers 2003-09-04 01:09:03 EDT
My bad. That bug was #100563. I meant to paste this:
%post(fontconfig-2.1-9) scriptlet failed, exit status 127

Reproduced on Everest/McKinley tonight, BTW.
Comment 11 Jay Turner 2003-09-08 16:58:32 EDT
Might be the same issue that we're seeing with #100563, which appears to be an
RPM issue.
Comment 12 Owen Taylor 2004-04-19 11:36:21 EDT
*** Bug 119392 has been marked as a duplicate of this bug. ***
Comment 13 Owen Taylor 2004-04-19 11:40:14 EDT
It's basically the same thing as bug 100563, yes. Though there
are likely fontconfig specific aspects as well; we can
only run the i386 fc-cache and expect that to work if it's
going to find the system fonts, not the fonts in /emul.
Comment 14 Owen Taylor 2004-09-27 15:42:00 EDT
*** Bug 133824 has been marked as a duplicate of this bug. ***
Comment 15 Jay Turner 2007-09-05 11:14:30 EDT
This has been floating out there for 3 years . . . I'm closing out this bug.

Note You need to log in before you can comment on or make changes to this bug.